Package org.zkoss.zul

## Class AbstractGroupsModel.DefaultSelectionControl<E>

- java.lang.Object
- - org.zkoss.zul.AbstractGroupsModel.DefaultSelectionControl<E>

- All Implemented Interfaces:
    `java.io.Serializable`, `SelectionControl<E>`
  Enclosing class:
    AbstractGroupsModel<D,​H,​F,​E>

      public static class AbstractGroupsModel.DefaultSelectionControl<E>
      extends java.lang.Object
      implements SelectionControl<E>

  A default selection control implementation for `AbstractGroupsModel`, by default it assumes all elements are selectable.

  Note: the implementation is not used for a huge data model, if in this case, please implement your own one to speed up.

  Since:
    8.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultSelectionControl​(AbstractGroupsModel<?,​?,​?,​E> model)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSelectable​(E e)` | Returns whether the element can be selected.
    `boolean` | `isSelectAll()` | Returns whether it's all elements selected
    `void` | `setSelectAll​(boolean selectAll)` | Sets to select all elements or deselect all elements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSelectionControl

          public DefaultSelectionControl​(AbstractGroupsModel<?,​?,​?,​E> model)

  - ### Method Detail

    - #### isSelectable

          public boolean isSelectable​(E e)

      Description copied from interface: `SelectionControl`
      Returns whether the element can be selected.
      Specified by:
        `isSelectable` in interface `SelectionControl<E>`

    - #### setSelectAll

          public void setSelectAll​(boolean selectAll)

      Description copied from interface: `SelectionControl`
      Sets to select all elements or deselect all elements.
      Specified by:
        `setSelectAll` in interface `SelectionControl<E>`

    - #### isSelectAll

          public boolean isSelectAll()

      Description copied from interface: `SelectionControl`
      Returns whether it's all elements selected
      Specified by:
        `isSelectAll` in interface `SelectionControl<E>`